import {scaleOrdinal} from 'd3';

const colorScale = scaleOrdinal()
				.domain(['apple', 'lemon'])
				.range(['red', 'yellow'])
			;

const radiusScale = scaleOrdinal()
				.domain(['apple', 'lemon'])
				.range([50, 30])
			;

const xPosition = (d, i) => i * 120 + 70;

export const fruitBowl = (selection, props) => {
  const {
    fruits, 
    height, 
    setSelectedFruit, 
    selectedFruit
  } = props;
  
  const bowl = selection.selectAll('rect')
  				.data([null])
  				.enter()
            .append('rect')
            .attr('y', 110)
            .attr('width', 900)
            .attr('height', 300)
            .attr('rx', 300 / 2)
  			;
  
  const hightLight = d => {
    //d => (d.id==selectedFruit ? "blue" : "")
  }
  
  const circles = selection.selectAll('circle')
  	.data(fruits, d => d.id);
  circles
  	.enter().append('circle')
  		.attr('cx', xPosition)
  		.attr('cy', height / 2)
  		.attr('r', 0)
  	.merge(circles)
  		.attr('fill', d => colorScale(d.type))
  		//.on('click', d => setSelectedFruit(d.id))
  		.on('mouseover', d => setSelectedFruit(d.id))
  		.on('mouseout', () => setSelectedFruit(null))
  		.attr('stroke-width', 5)
  		.attr('stroke', d => (d.id==selectedFruit
                            ? "blue" : "none"))
  	.transition().duration(1000)
  		.attr('cx', xPosition)
  		.attr('r', d => radiusScale(d.type));
  circles.exit()
  	.transition().duration(1000)
  		.attr('r', 0)
  	.remove();

}

